WordPress Россия

Плагин WordPress "Bookmarkz" дает возможность добавить пост в сервисы закладок.

Добавлено 13 января 2010 в категорию Плагины.

Плагин для вставки в каждый пост панельки с ссылками добавления статьи в различные социальные сервисы закладок. Существует достаточно много аналогичных буржуйских плагинов, но рассматривать стоит, конечно, только русские плагины, в которых встроены наши русские сервисы закладок. Из всех просмотренных мною вариантов мне показался наиболее подходящим плагин Bookmarkz, остальные плагины или требует настройки в самом коде плагина или зачем-то обращаются к своему серверу (сервис ОднаКнопка), что не слишком приемлемо. По умолчанию панелька Bookmarkz встраивается в конце каждого поста, но при желании можно ее вынести и расположить вне текста самой записи (как сделано здесь на блоге), полная панель со всеми кнопками выглядит так:

Скачиваем последнюю версию плагина и устанавливаем:

1. Распаковываем архив.

2. Копируем папку bookmarkz в /wp-content/plugins/.

3. Заходим в админку блога на вкладку "Плагины" и активируем плагин.

Все, плагин работает и внизу каждой вашей записи появилась панелька с кнопками. Теперь нам надо ее настроить. Идем в "ПараметрыBookmarkz" и оставляем галочки только на тех сервисах, которые хотим оставить. Думаю большинство заграничных сервисов можно смело удалить.

Настроить расположение и внешний вид панельки можно добавив следующий css код в файл стилей вашего шаблона (как правило style.css)

div.bookmarkz {text-align: center; margin: 10px 0;}

Если вы не хотите, чтобы плагин добавлял панельку именно в конец поста, то можно вручную ее встроить с помощью кода:

<?php if(function_exists('bookmarkz')) { bookmarkz(); } ?>

Не забудьте только поставить галочку на "Использовать ручную вставку кода" в настройках плагина. Использовать этот код можно только внутри цикла TheLoop (то есть между while (have_posts() и endwhile).

И еще одно замечание – плагин работает только с php 5 версии.

 

Автор плагина: Джан

Страница плагина: [ссылка]

Рассматриваемая версия: 1.0 от 04.08.2007

Совместимость с версией WordPress: 2.2 и выше.

Категории